using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Plus.Communication.Packets.Outgoing.Rooms.Polls
{
    class PollContentsComposer : ServerPacket
    {
        public PollContentsComposer()
            : base(3826)
        {
            base.WriteInteger(111141);//Room Id
           base.WriteString("Sondage de sasticfation");//Title
           base.WriteString("Thanks!");//Ending message
            base.WriteInteger(2);//Questions
            {
                base.WriteInteger(9299);
                base.WriteInteger(1);
                base.WriteInteger(1);
                base.WriteString("Recommanderiez-vous MeHabbo à un ami?");
                base.WriteInteger(0);
                base.WriteInteger(1);
                base.WriteInteger(5);
               base.WriteString("1");
               base.WriteString("Certainement");
                base.WriteInteger(1);
               base.WriteString("2");
               base.WriteString("Peut-être");
                base.WriteInteger(2);
               base.WriteString("3");
               base.WriteString("Je ne sais pas");
                base.WriteInteger(3);
               base.WriteString("4");
               base.WriteString("Certainement pas");
                base.WriteInteger(3);
               base.WriteString("5");
               base.WriteString("Définitivement pas");
                base.WriteInteger(3);
                base.WriteInteger(3);
                base.WriteInteger(9117);
                base.WriteInteger(2);
                base.WriteInteger(1);
                base.WriteString("Quelle a été la raison principale pour les réponses que vous venez de nous donner?");
                base.WriteInteger(1);
                base.WriteInteger(1);
                base.WriteInteger(6);
               base.WriteString("1");
               base.WriteString("Ami(s)");
                base.WriteInteger(0);
               base.WriteString("2");
               base.WriteString("Vêtements");
                base.WriteInteger(0);
               base.WriteString("3");
               base.WriteString("Animaux");
                base.WriteInteger(0);
               base.WriteString("4");
               base.WriteString("Construction");
                base.WriteInteger(0);
               base.WriteString("5");
               base.WriteString("Animation");
                base.WriteInteger(0);
               base.WriteString("6");
               base.WriteString("Autre");
                base.WriteInteger(0);
                base.WriteInteger(9342);
                base.WriteInteger(3);
                base.WriteInteger(1);
                base.WriteString("Quelle a été la raison principale pour les réponses que vous venez de nous donner?");
                base.WriteInteger(2);
                base.WriteInteger(1);
                base.WriteInteger(6);
               base.WriteString("1");
               base.WriteString("Ami(s)");
                base.WriteInteger(0);
               base.WriteString("2");
               base.WriteString("Vêtements");
                base.WriteInteger(0);
               base.WriteString("3");
               base.WriteString("Animaux");
                base.WriteInteger(0);
               base.WriteString("4");
               base.WriteString("Construction");
                base.WriteInteger(0);
               base.WriteString("5");
               base.WriteString("Animation");
                base.WriteInteger(0);
               base.WriteString("6");
               base.WriteString("Autre");
                base.WriteInteger(0);
                base.WriteInteger(9336);
                base.WriteInteger(4);
                base.WriteInteger(1);
                base.WriteString("Quelle a été la raison principale pour les réponses que vous venez de nous donner?");
                base.WriteInteger(3);
                base.WriteInteger(1);
                base.WriteInteger(5);
               base.WriteString("1");
               base.WriteString("Modération");
                base.WriteInteger(0);
               base.WriteString("2");
               base.WriteString("Prix");
                base.WriteInteger(0);
               base.WriteString("3");
               base.WriteString("Harcèlement");
                base.WriteInteger(0);
               base.WriteString("4");
               base.WriteString("Cyber");
                base.WriteInteger(0);
               base.WriteString("5");
               base.WriteString("Autre");
                base.WriteInteger(0);
                base.WriteInteger(9120);
                base.WriteInteger(2);
                base.WriteInteger(3);
                base.WriteString(" Quelle est l'amélioration la plus importante qui vous rendrait plus susceptible de nous recommander?");
                base.WriteInteger(0);
                base.WriteInteger(3);
                base.WriteInteger(0);
                base.WriteInteger(0);
            }
            base.WriteBoolean(true);

        }
    }
}
